/**
 * @fileoverview southprojects Grid widget. Include this file in your HTML page.
 * Includes base southprojects Grid modules: spgrid-core.js, spgrid-convert.js,
 * spgrid-html.js, spgrid-output.js. To extend grid with other features like
 * XML, query, editing, export, or make it compatible with previous version,
 * include respective modules manually in your HTML page.
 *
 * <pre>
 * Copyright (c) 2006 by SouthProjects
 * http://www.southprojects.com
 * Santiago, Chile,
 * Version 1.2 Dec 2006.
 * All rights reserved.
 * </pre>
 */

/* $Id: spgrid.js 4624 2006-10-03 23:51:13Z alex $ */

/**
 * Path to southprojects Grid scripts.
 * @private
 */
southprojects.gridPath = southprojects.getPath('southprojects.GridWidget');

// Include required scripts
southprojects.include(southprojects.gridPath + 'spgrid-core.js', 'southprojects.Grid');
southprojects.include(southprojects.gridPath + 'spgrid-convert.js');
southprojects.include(southprojects.gridPath + 'spgrid-html.js');
southprojects.include(southprojects.gridPath + 'spgrid-output.js');
southprojects.include(southprojects.gridPath + 'spgrid-aggregate.js');

southprojects.Utils.addEvent(window, 'load', southprojects.Utils.checkActivation);
